您好,欢迎访问本站博客!登录后台查看权限
  • 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧
  • 网站所有资源均来自网络,如有侵权请联系站长删除!

PHP 如何选择相应版本的PHP开发环境

网站建设 wuyou387 2015-08-02 275 次浏览 0个评论




  discuz使用视频教程


  31


  马上注册,一起探讨正确快速的建站方法


  您需要 登录 才可以下载或查看,没有帐号?快速注册


  xPHP各版本区别


  PHP版本VC6与VC9、Thread Safe与None-Thread Safe等的区别


  PHP的大版本主要分三支:PHP4/PHP5/PHP6


  PHP4由于太古老、对QQ支持不力已基本被淘汰,请无视PHP4。


  PHP6由于基本没有生产线上的应用,还基本只是一款概念产品,很多功能已在PHP5.3.3上实现,所以也不详述,请无视PHP6。


  PHP5的版本主要分四支:PHP5.2之前的版本、PHP5.2.X、PHP5.3和日前发布的PHP5.4。


  如何选择PHP版本


  PHP5.2之前的版本不值得考虑,因为某些功能缺陷或者BUG。PHP5.4还处于Beta试用的版本号,非稳定版本,请无视PHP5.4。


  主流PHP程序对PHP5.2.X的兼容性最好,而每次版本号的升级带来的都是安全性和稳定性的改善,所以宜挑选最新的版本。目前PHP5.2系列最新的是PHP5.2.17。


  而如果产品是自己开发自己使用,PHP5.3在某些方面更具优势,在稳定性上更胜一筹,增加了很多PHP5.2所不具有的功能,比如内置php-fpm、更完善的垃圾回收算法、命名空间的引入、sqlite3的支持等等,是部署项目值得考虑的版本,强烈推荐PHP5.3.3。


  除了版本号的不同,同一版本号的PHP版本也有区别,并且在选择PHP扩展的时候需要注意。


  install版:可执行的MSI格式安装包。


  ZIP版:解压即可用。和install版无区别。建议选择ZIP版。


  DEBUG版:最终用户无需关心。


  VC6与VC9


  如果你在apache1或者apache2下使用PHP,你应该选择VC6的版本


  如果你在IIS下使用PHP应该选择VC9的版本,VC6的版本使用visual studio6编译,VC9使用Visual Studio 2008编译,并且改进了性能和稳定性。VC9版本的PHP需要你安装Microsoft 2008 C++ Runtime。不要在apache下使用VC9的版本。


  TS和NTS


  TS指Thread Safety,即线程安全,一般在IIS以ISAPI方式加载的时候选择这个版本。


  NTS即None-Thread Safe,一般以fast cgi方式运行的时候选择这个版本,具有更好的性能。


  从2000年10月20日发布的第一个Windows版的PHP3.0.17开始的都是线程安全的版本,这是由于与Linux/Unix系统是采用多进程的工作方式不同的是Windows系统是采用多线程的工作方式。如果在IIS下以CGI方式运行PHP会非常慢,这是由于CGI模式是建立在多进程的基础之上的,而非多线程。一般我们会把PHP配置成以ISAPI的方式来运行,ISAPI是多线程的方式,这样就快多了。但存在一个问题,很多常用的PHP扩展是以Linux/Unix的多进程思想来开发的,这些扩展在ISAPI的方式运行时就会出错搞垮IIS。因此在IIS下CGI模式才是 PHP运行的最安全方式,但CGI模式对于每个HTTP请求都需要重新加载和卸载整个PHP环境,其消耗是巨大的。


  为了兼顾IIS下PHP的效率和安全,微软给出了FastCGI的解决方案。FastCGI可以让PHP的进程重复利用而不是每一个新的请求就重开一个进程。同时FastCGI也可以允许几个进程同时执行。这样既解决了CGI进程模式消耗太大的问题,又利用上了CGI进程模式不存在线程安全问题的优势。


  因此,如果是使用ISAPI的方式来运行PHP就必须用Thread Safe(线程安全)的版本;而用FastCGI模式运行PHP的话就没有必要用线程安全检查了,用None Thread Safe(NTS,非线程安全)的版本能够更好的提高效率。


已有 275 位网友参与,快来吐槽:

发表评论

站点统计